<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Exception;

use App\SuperAdmin\Domain\Model\SuperAdmin\SuperAdminId;
use DomainException;

use function sprintf;

final class SuperAdminDejaActifException extends DomainException
{
    public static function pourReactivation(SuperAdminId $id): self
    {
        return new self(
            sprintf('Le Super Admin %s est déjà actif.', $id),
        );
    }
}
